#
# spec file for package yast2-online-update-configuration
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-online-update-configuration
Version:        3.1.5
Release:        7.2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.0
Requires:       yast2-packager >= 2.17.0
Requires:       yast2-pkg-bindings >= 2.17.20
Conflicts:      yast2-registration <= 2.19.1
Provides:       yast2-registration:/usr/share/YaST2/clients/online_update_configuration.ycp

PreReq:         %fillup_prereq
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 2.17.0
BuildRequires:  yast2-devtools >= 3.1.15
BuildRequires:  yast2-packager
BuildRequires:  yast2-pkg-bindings >= 2.17.20
BuildRequires:  yast2-testsuite
BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        Configuration of Online Update
License:        GPL-2.0
Group:          System/YaST

%description
Allows to configure automatic online update.

%post
%{fillup_only -ns automatic_online_update yast2-online-update-configuration}

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%doc %{yast_docdir}
%dir %{yast_yncludedir}/online-update-configuration
%{yast_yncludedir}/online-update-configuration/*
%{yast_clientdir}/*.rb
%{yast_moduledir}/*.rb
%dir %{yast_libdir}/online-update-configuration
%{yast_libdir}/online-update-configuration
%{yast_desktopdir}/online_update_configuration.desktop
%{yast_schemadir}/autoyast/rnc/*.rnc
/usr/lib/YaST2/bin/online_update
# agent
%{yast_scrconfdir}/cfg_automatic_online_update.scr
# fillup
/var/adm/fillup-templates/sysconfig.automatic_online_update-yast2-online-update-configuration

%changelog
* Wed Apr 16 2014 lslezak@suse.cz
- registration client has been renamed to "scc" (bnc#870869)
- zypp_config.rb: fixed a typo in the constant name
- 3.1.5
* Wed Mar 26 2014 robin.roth@kit.edu
- Rerun zypper if it returns 103 which indicates that an update to
  zypper itself was installed
- 3.1.4
* Wed Dec 18 2013 vmoravec@suse.com
- Fix missing lib dir in makefile and specfile
- 3.1.3
* Tue Dec 17 2013 vmoravec@suse.com
- Add option for using deltarpms during update - FATE#314867
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul  9 2013 jdsn@suse.de
- do not finish sources if called from other module (bnc#828132)
- 2.24.1
* Mon Jul  8 2013 jdsn@suse.de
- fix the call of the repositories module (bnc#828139)
- 2.24.0
* Wed Mar 13 2013 jdsn@suse.de
- translate cron intervals and update categories (bnc#807773)
* Fri Oct 19 2012 jdsn@suse.de
- feature: filter patches by category in automatic update cronjob
  (fate#313278)
- 2.22.1
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon May 30 2011 jdsn@suse.de
- add split-provides to keep this module in zypper dup (bnc#695449)
- 2.21.0
* Fri Apr  8 2011 jdsn@suse.de
- fix proxy settings in automatic online update script, bnc#(678888)
- make online-update script more robust
* Mon Apr 26 2010 jdsn@suse.de
- initial version, split off from yast2-registration (fate#308494)
- adapting code to work separately from registration
- 2.19.0
